Updates the job_estimated_quantity object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "50bb82ed-1229-4563-845e-55a631c6b259",
"estimated_quantity": 2.0,
"article_id": "fce3654e-97be-4281-a1cc-a655290f356d",
"article_code": "sample string 4",
"article": {
"id": "67875a19-5478-4dd0-a629-e99418614dd7",
"article_category_id": "7eb875c8-9ddb-444f-957c-b549a74e995e",
"article_category": {
"id": "b2634640-85cd-4cf5-8314-ebf4cbd56f44",
"parent_id": "d42a2cbc-9893-4bb0-aa6d-9fc64513c2c8",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "633cfe37-7c5d-4f14-8622-9a45c186ed6e",
"article_group_1_code": "sample string 5",
"article_group_2_id": "8cd1b362-5c9c-4bde-a622-561d18a96843",
"article_group_2_code": "sample string 7",
"article_group_3_id": "632ee2c5-d32e-4be3-a7b6-9c28172ea204",
"article_group_3_code": "sample string 9",
"article_group_4_id": "8ed8513d-ffd4-4541-bb25-18d969a5213b",
"article_group_4_code": "sample string 11",
"article_group_5_id": "06643532-1a12-460c-86c0-3e85263d4c50",
"article_group_5_code": "sample string 13",
"article_group_6_id": "c2a558d6-ac39-46be-8ead-b202f50cc24e",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-12T18:41:09.689249+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-12T18:41:09.689249+00:00",
"date_update": "2026-11-12T18:41:09.689249+00:00",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00",
"article_color_id": "665887c4-a1df-42cf-ac7c-7125925b274f",
"article_color_code": "sample string 38",
"article_color": {
"id": "0bcf415e-d150-4adf-8fb7-1418401fbbde",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "e7b8b2c8-c2da-439c-be72-876eef18952a",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "8bd5d2a4-c185-4f5e-bde1-3e5aff56e3e4",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "80f7a249-cb98-4c77-8058-d71de207c721",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "8ca845c0-0fc1-4db5-8dc8-b02bb7812caa",
"_parent_id": "84c2e797-745c-45f3-ac93-0a7aea588c2e",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "56d92498-22b2-4d91-b3d4-b5c388151a33",
"project_reference_back_office": "sample string 5",
"project": {
"id": "d53e3d12-0e13-4343-aad4-205a8871c789",
"_parent_id": "6e742371-0d59-4f66-86a4-6df08d2917fd",
"root_parent_id": "15001854-ec5b-44f8-9891-3580f09b4f1b",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "73494995-f405-4943-a13f-52cae2925d26",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "88658e03-963b-471c-80d6-ca0104cce12e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "830c7717-57dc-4ff5-8785-98eb6d2d23c5",
"_parent_code": "sample string 6",
"sales_organization_id": "a30956dd-0c92-4cb2-ba64-001f64493c37",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"equipment_model_id": "8d57805f-0df2-4f61-9b74-d1fe789fbe33",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "784778ae-f83e-4630-8487-f380ee079b47",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "982aaead-f802-4424-9a3e-0b0d20fbd976",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "6031fa18-3392-4522-8163-a08ddc80c47c",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "00ab5230-461b-4ab2-882e-0514aada386d",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"equipment_family_id": "7901c469-1569-4b38-9538-0a5196b48115",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "88658e03-963b-471c-80d6-ca0104cce12e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "830c7717-57dc-4ff5-8785-98eb6d2d23c5",
"_parent_code": "sample string 6",
"sales_organization_id": "a30956dd-0c92-4cb2-ba64-001f64493c37",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"date_in_production_since": "2026-11-12T18:41:09.689249+00:00",
"date_out_of_production_since": "2026-11-12T18:41:09.689249+00:00",
"date_end_support": "2026-11-12T18:41:09.689249+00:00",
"sales_organization_id": "c79f1bcd-af8b-4185-8e4e-f8c1f26789c9",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"project_status_id": "f0aa8c21-41fe-4db2-a81d-558cb490fc20",
"project_status_code": "sample string 10",
"project_status": {
"id": "bf25e832-0680-42cb-8cfc-07bafccc503c",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "67c66ac2-3161-4722-ade4-243d9c3b7c23",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"company_id": "78ba4fe3-98b7-4ddf-92d1-20f9d0021840",
"company_code": "sample string 12",
"db_address_id": "70615928-08f1-4df0-accc-8b422b4c68f7",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "c4fe2d6e-7f0f-4fe2-8eb1-558a374bdc66",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "44c9daa9-1776-48d1-9a68-6b9b9d50117a",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-12T18:41:09.689249+00:00",
"date_create": "2026-11-12T18:41:09.689249+00:00",
"date_update": "2026-11-12T18:41:09.689249+00:00",
"updated_by_user_id": "daea40a2-feda-4ac2-be6c-a6a08928e076",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-12T18:41:09.689249+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-12T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-12T18:41:09.689249+00:00",
"date_last_job": "2026-11-12T18:41:09.689249+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-12T18:41:09.689249+00:00",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00",
"is_mobile_installation": true
},
"job_type_id": "282fe4b3-e316-4032-b15a-8307cd422eb4",
"job_type_code": "sample string 7",
"job_type": {
"id": "890fb816-0af2-406b-9fc7-4cebf97334bf",
"name": "sample string 2",
"sales_organization_id": "932e346f-3af5-4faf-94bc-943cc2457b1a",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00",
"code": "sample string 7"
},
"job_priority_id": "da9c577a-71d3-4065-80cc-f615a404f31a",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "9789e7bc-78d7-4257-bac3-f0a2d5bab321",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "a5a7fbdc-a106-4937-b31e-c80aed1062bb",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"job_status_id": "c5660cd0-72de-4a74-869a-2739052ad585",
"job_status_code": "sample string 11",
"db_address_id": "7b6ef8a6-62f7-402a-a7af-37b84ac0b588",
"contact_id": "9e7e784e-d32c-408f-9dd0-219f3b3a8200",
"requested_by_company_id": "819f2fcc-6515-4b3e-af01-27a30b6bd3fa",
"requested_by_contact_id": "4157925e-19f9-442c-b2c3-11aa12c505b5",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-12T18:41:09.689249+00:00",
"due_date": "2026-11-12T18:41:09.689249+00:00",
"date_create": "2026-11-12T18:41:09.689249+00:00",
"date_update": "2026-11-12T18:41:09.689249+00:00",
"date_closed": "2026-11-12T18:41:09.689249+00:00",
"suggested_user_id": "f0ee3083-3de6-4829-921a-eb49846fc423",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "78cc786a-2821-4393-8057-e4f098b88ed5",
"db_language_id": "d01b080d-0b2c-434f-bf7b-de0bf66e0c6b",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-12T18:41:09.689249+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "0eb0fddc-a813-431b-8a29-6fa1ebddaae5",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "4587d2e3-d642-4542-820c-723e45a1f4e9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "fa0f05d3-cbaa-42cd-b8ef-984ec326f58f",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "c6a2d5f4-f256-4eed-9622-282dcdc642da"
},
"suggested_date_start": "2026-11-12T18:41:09.689249+00:00",
"skill_id": "046fb7ed-c8b0-47dd-965c-bc99e7c44a77",
"skill_code": "sample string 32",
"skill": {
"id": "f2c86801-992a-492a-a6da-ece2a3b7ad13",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "37f6fa19-27b7-4f5b-908b-e7f2ec37a08d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "272a9e3c-8708-43a5-9acc-40fa29c5da56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9bc1783a-5552-497f-ae72-4f432e105da3",
"db_currency_id": "e8243f6f-25c6-4ea6-b0b4-ffe49f017038",
"db_language_id": "03f5a0e4-32f6-4d64-94a6-8c72a00240d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "b1f223c5-610e-4ec9-8533-e8b022f53707",
"date_reported_by_company": "2026-11-12T18:41:09.689249+00:00",
"id2": 36,
"company_id": "24fd54fe-7edc-4042-ad17-4a253d1c663e",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "4b50b372-d4d1-4b5c-af5c-fad8e311796f",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-12T18:41:09.689249+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.